\setcounter{chapter}{-1}
\renewcommand{\thechapter}{S}

\chapter{Supplementary information}
\addcontentsline{toc}{chapter}{Supplementary information}
\label{cap:supp_info}

\input{./data/toy_task}

\section{Dense image segmentation task}
\label{sec:supp_info_toy_task}

\begin{table*}[htp]
\centering
\rowcolors{2}{black!10}{black!40}
\begin{tabular}{*2l} \toprule
\emph{parameter} & \emph{value} \\ \midrule
input width & \inpsize \\
input height & \inpsize \\
\no{} classes & \nimageclasses \\
\no{} filters & \nfilters \\
\no{} layers & \nlayers \\
\no{} conv layers & \nconvlayers \\
convolutions kernel size & \convsize \\
pooling size & \poolsize \\
dropout & \dropout \\
batchnorm & \texttt{\batchnorm} \\
final activation & \texttt{\finalactivation} \\
\no{} inner convolutions & \nconvinnerlayers \\
filter multiplier & \filtermul \\
validation size & \valsize \\
test size & \testsize \\
\no{} model runs & \nruns \\
optimizer & \optimizer \\
loss & \texttt{\loss} \\
batch size & \batchsize \\
epochs & \nepochs \\
\bottomrule
\hline
\end{tabular}
\caption{Experiments base configuration}
\label{tab:exp-base-config}
\end{table*}

\section{Generative Image Models with Transformers}
\label{sec:supp_info_iGPT}

\begin{table*}[htp]
\centering
\rowcolors{2}{black!10}{black!40}
\begin{tabular}{*2l} \toprule
\emph{parameter} & \emph{value} \\ \midrule
input width & 32 \\
input height & 32 \\
\no{} Transformer layers & 16 \\
\no{} attention heads & 8 \\
$P_{BERT}$ mask & 0.15 \\
dropout & 0.0 \\
batchnorm & \texttt{False} \\
validation size & 0.0 \\
test size & 0.2 \\
optimizer & Adam \\
batch size & 4 \\
epochs & 50 \\
\bottomrule
\hline
\end{tabular}
\caption{Experiments base configuration}
\label{tab:exp-iGPT-config}
\end{table*}
